Subject: New progressive treatments?

From: [email-masked] (Lee P. Prevost)
Date: 6 Dec 1996 07:23:30 GMT

When I was having my MRI last week, my wife was talking to a lady who was in a 
brand new trial program. She claimed to be the first human on this medication. 
It's called AG284. I don't know who makes it. She's in the program from Mt. 
Zion in San Fransisco. The method of administration is through an infusion 
pump I think she said 3 times a week. I hope to talk with again to find out 
more about it and report back here.
Lee